package meerkat.voting.gui.select_candidate_by_picture;

import javafx.fxml.FXML;
import javafx.geometry.Insets;
import javafx.scene.control.Label;
import javafx.scene.input.MouseEvent;
import javafx.scene.layout.Background;
import javafx.scene.layout.BackgroundFill;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.CornerRadii;
import javafx.scene.paint.Color;
import meerkat.protobuf.Voting;
import meerkat.voting.gui.TwoWayNode;

import java.util.List;

/**
 * Created by Vladimir Eliezer Tokarev on 8/27/2016.
 * SelectCandidateNameController handle the behavior of select by picture screen
 */
public class SelectCandidateByPictureController extends TwoWayNode {
    private List<Voting.BallotQuestion> questions;
    private List<Voting.BallotAnswer> answers;


    @FXML
    private void GetToSelectByName(MouseEvent mousePressed){
        this.currentStage.close();
        this.next.UpdateNode();
        this.currentStage.setScene(this.next.GetCurrentScene());
        this.currentStage.show();
    }

    @FXML
    private void GetToBallotSummary(MouseEvent mousePressed){
        this.currentStage.close();
        this.previous.UpdateNode();
        this.currentStage.setScene(this.previous.GetCurrentScene());
        this.currentStage.show();
    }

    @Override
    public void UpdateNode() {
        // Update the visual representations of the voters options
    }
}
